#################################################
# Star Level System Expanded - Creature Modifier Configuration
#################################################

ModifierGlobalSettings:
  GlobalIgnorePrefabList:
  - piece_TrainingDummy
MajorModifiers:
  Brutal:
    SelectionWeight: 10
    Config:
      BasePower: 0.07
    UnallowedCreatures: &o0
    - Deer
    - Hare
    - Chicken
    - Hen
  ElementalChaos:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.01
      BasePower: 0.3
    UnallowedCreatures: *o0
  Fire:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.01
      BasePower: 0.3
    UnallowedCreatures: *o0
  Frost:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.01
      BasePower: 0.3
    UnallowedCreatures: *o0
  Poison:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.05
      BasePower: 1
    UnallowedCreatures: *o0
  Lightning:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.05
      BasePower: 0.3
    UnallowedCreatures: *o0
  Splitter:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.1
      BasePower: 2
  SoulEater:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.05
    UnallowedCreatures: *o0
  ResistPierce:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  ResistSlash:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  ResistBlunt:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
MinorModifiers:
  ResistFire:
    SelectionWeight: 5
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  ResistFrost:
    SelectionWeight: 4
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  ResistPoison:
    SelectionWeight: 3
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  ResistSpirit:
    SelectionWeight: 2
    Config:
      PerlevelPower: 0.02
      BasePower: 0.5
  FireNova:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.1
      BasePower: 2
    UnallowedCreatures: *o0
  PoisonNova:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.2
      BasePower: 2
    UnallowedCreatures: *o0
  Lootbags:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.2
      BasePower: 2
  Alert:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.05
      BasePower: 2
  Big:
    SelectionWeight: 10
    Config:
      BasePower: 0.3
  Fast:
    SelectionWeight: 10
    Config:
      BasePower: 0.2
  StaminaDrain:
    SelectionWeight: 10
    Config:
      PerlevelPower: 2
      BasePower: 3
    UnallowedCreatures: *o0
  Evolving:
    SelectionWeight: 5
    Config:
      PerlevelPower: 1
      BasePower: 10
    UnallowedCreatures: *o0
  EitrDrain:
    SelectionWeight: 10
    Config:
      PerlevelPower: 4
      BasePower: 10
    UnallowedCreatures: *o0
    AllowedBiomes:
    - Mistlands
    - AshLands
BossModifiers:
  BossSummoner:
    SelectionWeight: 10
    Config:
      PerlevelPower: 120
      BasePower: 10
      BiomeObjects:
        Meadows:
        - Greyling
        BlackForest:
        - Greydwarf_Shaman
        Swamp:
        - BlobElite
        Mountain:
        - Hatchling
        Plains:
        - Goblin
        - GoblinShaman
        - GoblinBrute
        Mistlands:
        - SeekerBrute
        - Seeker
        AshLands:
        - Charred_Archer
        - Charred_Melee
  SoulEater:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.01
  LifeLink:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.02
      BasePower: 0.3
  ResistPierce:
    SelectionWeight: 10
    Config:
      PerlevelPower: 0.02
      BasePower: 0.25
  Brutal:
    SelectionWeight: 10
    Config:
      BasePower: 0.05
    UnallowedCreatures: *o0

